Bug 1752436 - Filter from chart is removed when trying to navigate to next page in table
Summary: Filter from chart is removed when trying to navigate to next page in table
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Tasks Plugin
Version: 6.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: 6.7.0
Assignee: Maria
QA Contact: Peter Dragun
URL:
Whiteboard:
Depends On:
Blocks: 1718889
TreeView+ depends on / blocked
 
Reported: 2019-09-16 11:29 UTC by Peter Dragun
Modified: 2020-04-14 13:25 UTC (History)
3 users (show)

Fixed In Version: tfm-rubygem-foreman-tasks-0.17.1-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:25:37 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 27880 Normal Closed change page removes active filters in tasks table 2020-03-12 08:26:41 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:25:49 UTC

Description Peter Dragun 2019-09-16 11:29:07 UTC
Description of problem:
When filter is set from chart dashboard and I try to navigate to next page in table or change number of records per page, filter is deleted.  

Version-Release number of selected component (if applicable):
Satellite 6.6 snap 20

How reproducible:
always

Steps to Reproduce:
1. Navigate to Monitor -> Tasks
2. Set filter from chart dashboard => for example click on "Scheduled"
3. Load next page or change per page value on table

Actual results:
Filter is removed.

Expected results:
Filter should be still applied.

Additional info:
Filters set manually in search bar are not affected.

Comment 4 Bryan Kearney 2019-09-30 12:02:20 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/27880 has been resolved.

Comment 5 Peter Dragun 2019-11-26 11:24:27 UTC
Verified on Satellite 6.7 snap 3. Filter is still applied even if per page count is changed or I navigate to next (previous) page.

Comment 8 errata-xmlrpc 2020-04-14 13:25:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.